Solución a paquete no válido o dañado (firma PGP) en Arch o derivadas

Esta vez ha sido en Manjaro que al intentar actualizar me ha arrojado este error:

error: error al realizar la transacción (paquete no válido o dañado (firma PGP))

Así que tras un rato de búsqueda y varias pruebas sin resultado satisfactorio encontré la solución a mi problema. Gracias al usuario @guerrilla7 que en taringa dió la solución a otro usuario con mi mismo problema.

Los pasos a seguir son estos:

Observación: En la tercera línea cambiar “manjaro” por “artengos” si es tu caso.

sudo pacman -Syy
sudo pacman-key --refresh-keys
sudo pacman-key --populate archlinux manjaro
sudo pacman -Scc
sudo pacman -Syyu

Puede que el sistema te haga preguntas de si quieres reemplazar un paquete por otro. Yo respondí S en todos los casos.

Una vez haya acabado de procesarse el último comando, para asegurarte que estás actualizado vuelve a ejecutar el último comando y debería devolverte.

...el sistema ya está actualizado.

Espero que sea de tu ayuda.

Anuncios

7 comentarios sobre “Solución a paquete no válido o dañado (firma PGP) en Arch o derivadas

Responder

Por favor, inicia sesión con uno de estos métodos para publicar tu comentario:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s